Summary:	An addictive action-puzzle game involving bouncing penguins
Name:		icebreaker
Version:	1.9.7
Release:	%mkrel 20
Epoch:		1
License:	GPL
Group:		Games/Arcade

Source: 	http://www.mattdm.org/icebreaker/1.9.x/%{name}-%{version}.tgz
Source2: 	%{name}-png.tar.bz2
Patch0:		icebreaker-1.9.7-fix-str-fmt.patch

URL:		http://www.mattdm.org/icebreaker/
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel

%description
IceBreaker is an action-puzzle game in which you must capture penguins
from an Antarctic iceberg so they can be shipped to Finland, where
they are essential to a secret plot for world domination. To earn the
highest Geek Cred, trap them in the smallest space in the shortest
time while losing the fewest lives. IceBreaker was inspired by (but
isn't an exact clone of) Jezzball by Dima Pavlovsky.

%files
%defattr (-,root,root)
%doc README TODO LICENSE ChangeLog
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%attr(664,games,games) %ghost %{_localstatedir}/lib/games/%{name}.scores
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/mageia-%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q -a2
%patch0 -p0

%build
%make OPTIMIZE="%{optflags} %{ldflags}" prefix=%{_prefix} highscoredir=%{_localstatedir}/lib/games datadir=%{_gamesdatadir}

%install
mkdir -p %buildroot%{_gamesdatadir}/%{name}
mkdir -p %buildroot%{_localstatedir}/lib/games
install -m 644 *.wav *.bmp %buildroot%{_gamesdatadir}/%{name}
install -m 755 icebreaker -D %buildroot%{_gamesbindir}/%{name}
touch %buildroot%{_localstatedir}/lib/games/%{name}.scores

install -m 0644 %{name}-16.png -D %buildroot%{_miconsdir}/%{name}.png
install -m 0644 %{name}-16.png -D %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 0644 %{name}-32.png -D %buildroot%{_iconsdir}/%{name}.png
install -m 0644 %{name}-32.png -D %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 %{name}-48.png -D %buildroot%{_liconsdir}/%{name}.png
install -m 0644 %{name}-48.png -D %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=IceBreaker
Comment=Action-puzzle game involving bouncing penguins
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.9.7-20.mga3
+ Revision: 354149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 dmorgan <dmorgan> 1:1.9.7-19.mga2
+ Revision: 202388
- Bump release as we have a version in mga 1 too
- imported package icebreaker

